Smtp

Get information about the SMTP (email) settings in use by the Octopus Server

GET /api/smtpconfiguration

Response

200 — The requested SMTP configuration

  • Details object
    • CredentialType string
  • EnableSsl boolean
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • SendEmailFrom string
  • SmtpHost string
  • SmtpPort number
    Minimum 0. Maximum 65535.
  • Timeout integer

Example Response

JSON
{
  "Details": {
    "CredentialType": "string"
  },
  "EnableSsl": true,
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "SendEmailFrom": "string",
  "SmtpHost": "string",
  "SmtpPort": 0,
  "Timeout": 0
}

Update the SMTP settings used by the Octopus Server

PUT /api/smtpconfiguration

Request Body

  • Details object
    • CredentialType string
  • EnableSsl boolean
  • SendEmailFrom string
  • SmtpHost string
  • SmtpPort integer
    Minimum 0. Maximum 65535.
  • Timeout integer

Response

200 — Confirmation that SMTP Configuration was modified, containing the new configuration

  • Details object
    • CredentialType string
  • EnableSsl boolean
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • SendEmailFrom string
  • SmtpHost string
  • SmtpPort number
    Minimum 0. Maximum 65535.
  • Timeout integer

Example Request

JSON
{
  "Details": {
    "CredentialType": "string"
  },
  "EnableSsl": true,
  "SendEmailFrom": "string",
  "SmtpHost": "string",
  "SmtpPort": 0,
  "Timeout": 0
}

Example Response

JSON
{
  "Details": {
    "CredentialType": "string"
  },
  "EnableSsl": true,
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "SendEmailFrom": "string",
  "SmtpHost": "string",
  "SmtpPort": 0,
  "Timeout": 0
}

Check whether SMTP is configured with low privileges

GET /api/smtpconfiguration/isconfigured

Response

200 — The requested information about whether SMTP is configured

  • Id string
    Gets or sets a unique identifier for this resource.
  • IsConfigured boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.

Example Response

JSON
{
  "Id": "string",
  "IsConfigured": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  }
}

Check whether SMTP is configured with low privileges

GET /api/smtpconfiguration/isconfigured/v1

Response

200 — The requested information about whether SMTP is configured

  • SmtpIsConfigured object
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsConfigured boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.

Example Response

JSON
{
  "SmtpIsConfigured": {
    "Id": "string",
    "IsConfigured": true,
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  }
}

Get information about the SMTP (email) settings in use by the Octopus Server

GET /api/smtpconfiguration/v1

Response

200 — The requested SMTP configuration

  • SmtpConfiguration object
    • Details object
    • EnableSsl boolean
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • SendEmailFrom string
    • SmtpHost string
    • SmtpPort number
      Minimum 0. Maximum 65535.
    • Timeout integer

Example Response

JSON
{
  "SmtpConfiguration": {
    "Details": {
      "CredentialType": "string"
    },
    "EnableSsl": true,
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "SendEmailFrom": "string",
    "SmtpHost": "string",
    "SmtpPort": 0,
    "Timeout": 0
  }
}